Podręcznik PHP
Poprzedni |  | Następny

# mysqli_fetch_field_direct

(PHP 5 CVS only)

mysqli_fetch_field_direct

(no version information, might be only in CVS)

result->fetch_field_direct -- Fetch meta-data for a single field

## Description

Procedural style:

mixed mysqli_fetch_field_direct ( object result, int fieldnr)

Object oriented style (method):

class result {
mixed fetch_field_direct ( int fieldnr)
}

mysqli_fetch_field_direct() returns an associative array which contains field definition informations from specified resultset. The value of fieldnr must be in the range from `0` to `number of fields - 1`.

## Return values

Returns an associative array which contains field definition informations or `FALSE` if no field information for specified `fieldnr` is available.

## See also

mysqli_num_fields() mysqli_fetch_field() mysqli_fetch_fields()

Poprzedni | Spis treści | Następny
mysqli_fetch_assoc | Początek rozdziału | mysqli_fetch_field